%   Exporter Heterogeneity and Price Discrimination: A Quantitative View
%   Jae Wook Jung, Ina Simonovska, and Ariel Weinberger
%
%   function for solving b from market clearing conditions for given taus and income y

function Z = tech_run2(x,theta,y,L,taus,Ncountry,delta_trade)

% row : source country
% column : destination country
Y = y.*L;
stilde = [x;1];
F = zeros(Ncountry,1);
for i = 1:Ncountry
    % theta is used only for tau.^(-theta). So stilde does not depend on theta
    F(i) = 1 - sum(delta_trade(i,:).*(Y./Y(i))'.*stilde(i)./(taus(i,:).^theta .* sum(delta_trade.*(stilde*ones(1,Ncountry)).*(taus.^(-theta)),1)),2);
end

Z = F;
end
