%   Exporter Heterogeneity and Price Discrimination: A Quantitative View
%   Jae Wook Jung, Ina Simonovska, and Ariel Weinberger
%
%   function for solving income from market clearing conditions for given taus and technology parameter b

function Z = wage_run1(x,L,Ncountry,lambdaij,delta_trade)

% row : source country
% column : destination country

y = [x;1];
F = zeros(Ncountry,1);
for i = 1:Ncountry % source
    F(i) = y(i).*L(i) - sum(delta_trade(i,:)'.*y.*L.*(lambdaij(i,:)'),1);
end

Z = F;
end
