%   Exporter Heterogeneity and Price Discrimination: A Quantitative View
%   Jae Wook Jung, Ina Simonovska, and Ariel Weinberger
%
%   code for sampling prices

function sample = sampling_price(common,Ncountry,Ngood,seed,Nsample,Idxcommon)

if size(common,1) == 0
    sample = [];
    disp('No common good in the sample')    
%    outputp = [];
%    N = 0;
%    Nzero = 0;
elseif size(common,1) <= Ngood
        
    disp('The number of common goods is less than Ngood')
    size(common,1)
    Idxcommon
    common_EIU = common;

%%% calculate the relative prices to the U.S.
rel_price_m = zeros(Ncountry,Ngood);
rel_price_m = (common_EIU./((common_EIU(:,Ncountry))*ones(1,Ncountry)))';

if size(common,1) > Ngood
sample = reshape(rel_price_m,Ngood*Ncountry,1);
else
sample = reshape(rel_price_m,size(rel_price_m,1)*size(rel_price_m,2),1);
end
%GD = dummyvar(G);
%GD(:,1) = [];

% logP = log(P);
% logX = log(X);
% indinf = isinf(logP(:))==1;
% N = length(logP);
% logPinf = logP(~indinf,:);
% Nzero = N - length(logPinf);
% logXinf = logX(~indinf,:);
% CDinf = CD(~indinf,:);
% GDinf = GD(~indinf,:);
% preg = clusterreg(logPinf,[ones(size(logXinf,1),1) logXinf GDinf],CDinf);
% outputp = preg(2:3,:);
% sample = [logP logX GD CD];

else % common goods are more than Ngood
stream = RandStream.create('mt19937ar','Seed',seed+201703);
reset(stream);
RandStream.setGlobalStream(stream);
%
%[~,ind_r] = datasample(randi(length(common),1),Ngood,1));
              
index = zeros(Ngood,Nsample);
sample = zeros(1,2);%[];

parfor s = 1:Nsample

index(:,s) = randsample(1:length(common), Ngood);
common_EIU = common(index(:,s),:);


%%% calculate the relative prices to the U.S.
rel_price_m = zeros(Ncountry,Ngood);
rel_price_m = (common_EIU./((common_EIU(:,Ncountry))*ones(1,Ncountry)))';


P = reshape(rel_price_m,Ngood*Ncountry,1);
matrix = [P s.*ones(length(P),1)];

sample = [sample;matrix];
end
sample = sample(2:end,:);

end
end

